Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMT (Generative Modeling Technologies) » [Epsilon] Using UML2 Metamodel
[Epsilon] Using UML2 Metamodel [message #378445] Fri, 06 July 2007 16:52 Go to next message
Eclipse UserFriend
Originally posted by: b_zamani.encs.concordia.ca

Hi everyone,

I'm using EVL and want to apply my own EVL file on my own model which is
built based on UML2.ECORE meta model.
But by right-clicking on this file (UML2.ecore) and selecting "Register
ECore metamodel", I get the following Error:
Registration failed. The selected file may not be a valid ECore metamodel.

Do I need to install UML2 plug-in? Or any other idea?

Note: I've downloaded the UML2 metamodel from here:
http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.mdt/org .eclipse.uml2/plugins/org.eclipse.uml2.uml/model/?root=Model ing_Project

regards,
Bahman
Re: [Epsilon] Using UML2 Metamodel [message #378454 is a reply to message #378445] Mon, 09 July 2007 09:14 Go to previous message
Dimitris Kolovos is currently offline Dimitris KolovosFriend
Messages: 911
Registered: July 2009
Senior Member
Hi Bahman,

Yes. You should install the UML2 plugin and use the
http://www.eclipse.org/uml2/2.1.0/UML URI to load your UML 2.1 models.

Cheers,
Dimitrios

Bahman wrote:
> Hi everyone,
>
> I'm using EVL and want to apply my own EVL file on my own model which is
> built based on UML2.ECORE meta model.
> But by right-clicking on this file (UML2.ecore) and selecting "Register
> ECore metamodel", I get the following Error:
> Registration failed. The selected file may not be a valid ECore metamodel.
>
> Do I need to install UML2 plug-in? Or any other idea?
>
> Note: I've downloaded the UML2 metamodel from here:
> http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.mdt/org .eclipse.uml2/plugins/org.eclipse.uml2.uml/model/?root=Model ing_Project
>
> regards,
> Bahman
>
>
Re: [Epsilon] Using UML2 Metamodel [message #602268 is a reply to message #378445] Mon, 09 July 2007 09:14 Go to previous message
Dimitris Kolovos is currently offline Dimitris KolovosFriend
Messages: 911
Registered: July 2009
Senior Member
Hi Bahman,

Yes. You should install the UML2 plugin and use the
http://www.eclipse.org/uml2/2.1.0/UML URI to load your UML 2.1 models.

Cheers,
Dimitrios

Bahman wrote:
> Hi everyone,
>
> I'm using EVL and want to apply my own EVL file on my own model which is
> built based on UML2.ECORE meta model.
> But by right-clicking on this file (UML2.ecore) and selecting "Register
> ECore metamodel", I get the following Error:
> Registration failed. The selected file may not be a valid ECore metamodel.
>
> Do I need to install UML2 plug-in? Or any other idea?
>
> Note: I've downloaded the UML2 metamodel from here:
> http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.mdt/org .eclipse.uml2/plugins/org.eclipse.uml2.uml/model/?root=Model ing_Project
>
> regards,
> Bahman
>
>
Previous Topic:[Epsilon] Using UML2 Metamodel
Next Topic:[TCS] Getting model from text
Goto Forum:
  


Current Time: Sat Nov 22 08:48:24 GMT 2014

Powered by FUDForum. Page generated in 0.02025 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software